# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "heron"
version = "0.1.0"
authors = ["Jonathan Cornaz"]
description = "An ergonomic physics API for 2d and 3d bevy games. (powered by rapier)"
keywords = ["game", "gamedev", "physics", "collision", "bevy"]
categories = ["game-development", "simulation"]
license = "MIT"
repository = "https://github.com/jcornaz/heron/"
[[package.metadata.release.pre-release-replacements]]
exactly = 1
file = "CHANGELOG.md"
prerelease = true
replace = "## [Unreleased]\n\n\n\n## [{{version}}] - {{date}}"
search = "## \\[Unreleased\\]"

[[package.metadata.release.pre-release-replacements]]
exactly = 1
file = "CHANGELOG.md"
prerelease = true
replace = "...v{{version}}"
search = "\\.\\.\\.HEAD"

[[package.metadata.release.pre-release-replacements]]
exactly = 1
file = "CHANGELOG.md"
prerelease = true
replace = "[Unreleased]: ../../compare/v{{version}}...HEAD\n[{{version}}]: "
search = "\\[Unreleased\\]: "

[[package.metadata.release.pre-release-replacements]]
file = "src/lib.rs"
prerelease = true
replace = "//! heron = \"{{version}}\""
search = "//! heron = \".+\""

[[package.metadata.release.pre-release-replacements]]
file = "src/lib.rs"
prerelease = true
replace = "//! heron = { version = \"{{version}}\""
search = "//! heron = \\{ version = \"[0-9a-z\\.-]+\""

[[example]]
name = "demo"
required-features = ["2d"]
[dependencies.bevy_app]
version = "^0.4.0"

[dependencies.bevy_render]
version = "^0.4.0"
optional = true

[dependencies.heron_core]
version = "^0.1.0-dev"

[dependencies.heron_debug]
version = "^0.1.0-dev"
optional = true

[dependencies.heron_rapier]
version = "^0.1.0-dev"
[dev-dependencies.bevy]
version = "0.4"

[features]
2d = ["heron_rapier/2d", "heron_debug/2d"]
3d = ["heron_rapier/3d", "heron_debug/3d"]
debug = ["heron_debug", "bevy_render"]
default = ["3d"]
